<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="item$ | async as item">
  <div
    *ngIf="!item || !item['SPADE:Privacy']"
    class="flex items-center gap-3 py-2 px-4 border border-borderGrey bg-dialogGrey rounded-sm w-fit"
  >
    No privacy in TD
  </div>
  <div
    *ngIf="item && item['SPADE:Privacy']"
    class="flex items-center gap-3 py-2 px-4 border border-borderGrey bg-dialogGrey rounded-sm w-fit cursor-pointer"
    (click)="changePrivacy()"
  >
    <i [class]="privacyIcon"></i>
    <div>{{ item['SPADE:Privacy'].Caption | titlecase }}</div>
    <i class="pi pi-chevron-down" style="font-size: 0.8rem"></i>
  </div>
</ng-container>
